Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network202.3.64.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
202.3.64.0
Broadcast address
202.3.127.255
First usable
202.3.64.1
Last usable
202.3.127.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
C (default /24)
As numbers
Hex CA034000 · Integer 3389210624 to 3389227007
Reverse DNS zones
64.3.202.in-addr.arpa
65.3.202.in-addr.arpa
66.3.202.in-addr.arpa
67.3.202.in-addr.arpa
68.3.202.in-addr.arpa
69.3.202.in-addr.arpa
70.3.202.in-addr.arpa
71.3.202.in-addr.arpa
72.3.202.in-addr.arpa
73.3.202.in-addr.arpa
74.3.202.in-addr.arpa
75.3.202.in-addr.arpa
76.3.202.in-addr.arpa
77.3.202.in-addr.arpa
78.3.202.in-addr.arpa
79.3.202.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001010.00000011.01000000.00000000202.3.64.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11001010.00000011.01000000.00000000202.3.64.0
Broadcast11001010.00000011.01111111.11111111202.3.127.255
Split into smaller subnets/25

202.3.64.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1202.3.64.0/25202.3.64.1 to 202.3.64.126202.3.64.127126
2202.3.64.128/25202.3.64.129 to 202.3.64.254202.3.64.255126
3202.3.65.0/25202.3.65.1 to 202.3.65.126202.3.65.127126
4202.3.65.128/25202.3.65.129 to 202.3.65.254202.3.65.255126
5202.3.66.0/25202.3.66.1 to 202.3.66.126202.3.66.127126
6202.3.66.128/25202.3.66.129 to 202.3.66.254202.3.66.255126
7202.3.67.0/25202.3.67.1 to 202.3.67.126202.3.67.127126
8202.3.67.128/25202.3.67.129 to 202.3.67.254202.3.67.255126
9202.3.68.0/25202.3.68.1 to 202.3.68.126202.3.68.127126
10202.3.68.128/25202.3.68.129 to 202.3.68.254202.3.68.255126
11202.3.69.0/25202.3.69.1 to 202.3.69.126202.3.69.127126
12202.3.69.128/25202.3.69.129 to 202.3.69.254202.3.69.255126
13202.3.70.0/25202.3.70.1 to 202.3.70.126202.3.70.127126
14202.3.70.128/25202.3.70.129 to 202.3.70.254202.3.70.255126
15202.3.71.0/25202.3.71.1 to 202.3.71.126202.3.71.127126
16202.3.71.128/25202.3.71.129 to 202.3.71.254202.3.71.255126
17202.3.72.0/25202.3.72.1 to 202.3.72.126202.3.72.127126
18202.3.72.128/25202.3.72.129 to 202.3.72.254202.3.72.255126
19202.3.73.0/25202.3.73.1 to 202.3.73.126202.3.73.127126
20202.3.73.128/25202.3.73.129 to 202.3.73.254202.3.73.255126
21202.3.74.0/25202.3.74.1 to 202.3.74.126202.3.74.127126
22202.3.74.128/25202.3.74.129 to 202.3.74.254202.3.74.255126
23202.3.75.0/25202.3.75.1 to 202.3.75.126202.3.75.127126
24202.3.75.128/25202.3.75.129 to 202.3.75.254202.3.75.255126
25202.3.76.0/25202.3.76.1 to 202.3.76.126202.3.76.127126
26202.3.76.128/25202.3.76.129 to 202.3.76.254202.3.76.255126
27202.3.77.0/25202.3.77.1 to 202.3.77.126202.3.77.127126
28202.3.77.128/25202.3.77.129 to 202.3.77.254202.3.77.255126
29202.3.78.0/25202.3.78.1 to 202.3.78.126202.3.78.127126
30202.3.78.128/25202.3.78.129 to 202.3.78.254202.3.78.255126
31202.3.79.0/25202.3.79.1 to 202.3.79.126202.3.79.127126
32202.3.79.128/25202.3.79.129 to 202.3.79.254202.3.79.255126
33202.3.80.0/25202.3.80.1 to 202.3.80.126202.3.80.127126
34202.3.80.128/25202.3.80.129 to 202.3.80.254202.3.80.255126
35202.3.81.0/25202.3.81.1 to 202.3.81.126202.3.81.127126
36202.3.81.128/25202.3.81.129 to 202.3.81.254202.3.81.255126
37202.3.82.0/25202.3.82.1 to 202.3.82.126202.3.82.127126
38202.3.82.128/25202.3.82.129 to 202.3.82.254202.3.82.255126
39202.3.83.0/25202.3.83.1 to 202.3.83.126202.3.83.127126
40202.3.83.128/25202.3.83.129 to 202.3.83.254202.3.83.255126
41202.3.84.0/25202.3.84.1 to 202.3.84.126202.3.84.127126
42202.3.84.128/25202.3.84.129 to 202.3.84.254202.3.84.255126
43202.3.85.0/25202.3.85.1 to 202.3.85.126202.3.85.127126
44202.3.85.128/25202.3.85.129 to 202.3.85.254202.3.85.255126
45202.3.86.0/25202.3.86.1 to 202.3.86.126202.3.86.127126
46202.3.86.128/25202.3.86.129 to 202.3.86.254202.3.86.255126
47202.3.87.0/25202.3.87.1 to 202.3.87.126202.3.87.127126
48202.3.87.128/25202.3.87.129 to 202.3.87.254202.3.87.255126
49202.3.88.0/25202.3.88.1 to 202.3.88.126202.3.88.127126
50202.3.88.128/25202.3.88.129 to 202.3.88.254202.3.88.255126
51202.3.89.0/25202.3.89.1 to 202.3.89.126202.3.89.127126
52202.3.89.128/25202.3.89.129 to 202.3.89.254202.3.89.255126
53202.3.90.0/25202.3.90.1 to 202.3.90.126202.3.90.127126
54202.3.90.128/25202.3.90.129 to 202.3.90.254202.3.90.255126
55202.3.91.0/25202.3.91.1 to 202.3.91.126202.3.91.127126
56202.3.91.128/25202.3.91.129 to 202.3.91.254202.3.91.255126
57202.3.92.0/25202.3.92.1 to 202.3.92.126202.3.92.127126
58202.3.92.128/25202.3.92.129 to 202.3.92.254202.3.92.255126
59202.3.93.0/25202.3.93.1 to 202.3.93.126202.3.93.127126
60202.3.93.128/25202.3.93.129 to 202.3.93.254202.3.93.255126
61202.3.94.0/25202.3.94.1 to 202.3.94.126202.3.94.127126
62202.3.94.128/25202.3.94.129 to 202.3.94.254202.3.94.255126
63202.3.95.0/25202.3.95.1 to 202.3.95.126202.3.95.127126
64202.3.95.128/25202.3.95.129 to 202.3.95.254202.3.95.255126
65202.3.96.0/25202.3.96.1 to 202.3.96.126202.3.96.127126
66202.3.96.128/25202.3.96.129 to 202.3.96.254202.3.96.255126
67202.3.97.0/25202.3.97.1 to 202.3.97.126202.3.97.127126
68202.3.97.128/25202.3.97.129 to 202.3.97.254202.3.97.255126
69202.3.98.0/25202.3.98.1 to 202.3.98.126202.3.98.127126
70202.3.98.128/25202.3.98.129 to 202.3.98.254202.3.98.255126
71202.3.99.0/25202.3.99.1 to 202.3.99.126202.3.99.127126
72202.3.99.128/25202.3.99.129 to 202.3.99.254202.3.99.255126
73202.3.100.0/25202.3.100.1 to 202.3.100.126202.3.100.127126
74202.3.100.128/25202.3.100.129 to 202.3.100.254202.3.100.255126
75202.3.101.0/25202.3.101.1 to 202.3.101.126202.3.101.127126
76202.3.101.128/25202.3.101.129 to 202.3.101.254202.3.101.255126
77202.3.102.0/25202.3.102.1 to 202.3.102.126202.3.102.127126
78202.3.102.128/25202.3.102.129 to 202.3.102.254202.3.102.255126
79202.3.103.0/25202.3.103.1 to 202.3.103.126202.3.103.127126
80202.3.103.128/25202.3.103.129 to 202.3.103.254202.3.103.255126
81202.3.104.0/25202.3.104.1 to 202.3.104.126202.3.104.127126
82202.3.104.128/25202.3.104.129 to 202.3.104.254202.3.104.255126
83202.3.105.0/25202.3.105.1 to 202.3.105.126202.3.105.127126
84202.3.105.128/25202.3.105.129 to 202.3.105.254202.3.105.255126
85202.3.106.0/25202.3.106.1 to 202.3.106.126202.3.106.127126
86202.3.106.128/25202.3.106.129 to 202.3.106.254202.3.106.255126
87202.3.107.0/25202.3.107.1 to 202.3.107.126202.3.107.127126
88202.3.107.128/25202.3.107.129 to 202.3.107.254202.3.107.255126
89202.3.108.0/25202.3.108.1 to 202.3.108.126202.3.108.127126
90202.3.108.128/25202.3.108.129 to 202.3.108.254202.3.108.255126
91202.3.109.0/25202.3.109.1 to 202.3.109.126202.3.109.127126
92202.3.109.128/25202.3.109.129 to 202.3.109.254202.3.109.255126
93202.3.110.0/25202.3.110.1 to 202.3.110.126202.3.110.127126
94202.3.110.128/25202.3.110.129 to 202.3.110.254202.3.110.255126
95202.3.111.0/25202.3.111.1 to 202.3.111.126202.3.111.127126
96202.3.111.128/25202.3.111.129 to 202.3.111.254202.3.111.255126
97202.3.112.0/25202.3.112.1 to 202.3.112.126202.3.112.127126
98202.3.112.128/25202.3.112.129 to 202.3.112.254202.3.112.255126
99202.3.113.0/25202.3.113.1 to 202.3.113.126202.3.113.127126
100202.3.113.128/25202.3.113.129 to 202.3.113.254202.3.113.255126
101202.3.114.0/25202.3.114.1 to 202.3.114.126202.3.114.127126
102202.3.114.128/25202.3.114.129 to 202.3.114.254202.3.114.255126
103202.3.115.0/25202.3.115.1 to 202.3.115.126202.3.115.127126
104202.3.115.128/25202.3.115.129 to 202.3.115.254202.3.115.255126
105202.3.116.0/25202.3.116.1 to 202.3.116.126202.3.116.127126
106202.3.116.128/25202.3.116.129 to 202.3.116.254202.3.116.255126
107202.3.117.0/25202.3.117.1 to 202.3.117.126202.3.117.127126
108202.3.117.128/25202.3.117.129 to 202.3.117.254202.3.117.255126
109202.3.118.0/25202.3.118.1 to 202.3.118.126202.3.118.127126
110202.3.118.128/25202.3.118.129 to 202.3.118.254202.3.118.255126
111202.3.119.0/25202.3.119.1 to 202.3.119.126202.3.119.127126
112202.3.119.128/25202.3.119.129 to 202.3.119.254202.3.119.255126
113202.3.120.0/25202.3.120.1 to 202.3.120.126202.3.120.127126
114202.3.120.128/25202.3.120.129 to 202.3.120.254202.3.120.255126
115202.3.121.0/25202.3.121.1 to 202.3.121.126202.3.121.127126
116202.3.121.128/25202.3.121.129 to 202.3.121.254202.3.121.255126
117202.3.122.0/25202.3.122.1 to 202.3.122.126202.3.122.127126
118202.3.122.128/25202.3.122.129 to 202.3.122.254202.3.122.255126
119202.3.123.0/25202.3.123.1 to 202.3.123.126202.3.123.127126
120202.3.123.128/25202.3.123.129 to 202.3.123.254202.3.123.255126
121202.3.124.0/25202.3.124.1 to 202.3.124.126202.3.124.127126
122202.3.124.128/25202.3.124.129 to 202.3.124.254202.3.124.255126
123202.3.125.0/25202.3.125.1 to 202.3.125.126202.3.125.127126
124202.3.125.128/25202.3.125.129 to 202.3.125.254202.3.125.255126
125202.3.126.0/25202.3.126.1 to 202.3.126.126202.3.126.127126
126202.3.126.128/25202.3.126.129 to 202.3.126.254202.3.126.255126
127202.3.127.0/25202.3.127.1 to 202.3.127.126202.3.127.127126
128202.3.127.128/25202.3.127.129 to 202.3.127.254202.3.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses